Developer Documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
OVMPropertyVisualizerMatrix3x3< MeshT > Class Template Reference
Inheritance diagram for OVMPropertyVisualizerMatrix3x3< MeshT >:

## Public Member Functions
| OVMPropertyVisualizerMatrix3x3 (MeshT *_mesh, int objectID, PropertyInfo _propertyInfo)
void | clear () override
| Clears a property.
Public Member Functions inherited from OVMPropertyVisualizer< MeshT >
| OVMPropertyVisualizer (MeshT *_mesh, int objectID, PropertyInfo _propertyInfo)
virtual void | visualize (bool _setDrawMode, QWidget *_widget)
| Visualizes a property.
virtual void | removeProperty ()
| Should remove the property. More...
unsigned int | getClosestPrimitiveId (unsigned int _face, ACG::Vec3d &_hitPoint)
| Returns the ID of the closest primitive.
Public Member Functions inherited from PropertyVisualizer
| PropertyVisualizer (const PropertyInfo &_propertyInfo)
| Constructor. More...
virtual | ~PropertyVisualizer ()
| Destructor.
virtual QString | getName ()
| Returns a beautiful name. More...
virtual QWidget * | getWidget ()
| Returns the visualizer's widget. More...
const PropertyInfo & | getPropertyInfo () const
| Returns the PropertyInfo.

## Protected Member Functions
void | duplicateProperty () override
| Duplicates a property.
void | visualizeFaceProp (bool _setDrawMode=true) override
void | visualizeEdgeProp (bool _setDrawMode=true) override
void | visualizeHalfedgeProp (bool _setDrawMode=true) override
void | visualizeVertexProp (bool _setDrawMode=true) override
void | visualizeCellProp (bool _setDrawMode=true) override
void | visualizeHalffaceProp (bool _setDrawMode=true) override
QString | getPropertyText (unsigned int index) override
| Returns the value of a property in text form. More...
Protected Member Functions inherited from OVMPropertyVisualizer< MeshT >
template<typename PropType >
void | duplicateProperty_stage1 ()
template<typename InnerType >
QString | getPropertyText_ (unsigned int index)
virtual void | setCellPropertyFromText (unsigned int index, QString text)
virtual void | setFacePropertyFromText (unsigned int index, QString text)
virtual void | setHalffacePropertyFromText (unsigned int index, QString text)
virtual void | setEdgePropertyFromText (unsigned int index, QString text)
virtual void | setHalfedgePropertyFromText (unsigned int index, QString text)
virtual void | setVertexPropertyFromText (unsigned int index, QString text)
virtual void | setPropertyFromText (unsigned int index, QString text)
| Returns the value of a property in text form. More...
virtual int | getEntityCount ()
| Returns the number of entities.
virtual QString | getHeader ()
| Returns the header for saving.
unsigned int | getClosestCellId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestFaceId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestHalffaceId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestEdgeId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestHalfedgeId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestVertexId (unsigned int _face, ACG::Vec3d &_hitPoint)
Protected Member Functions inherited from PropertyVisualizer
virtual std::unique_ptr< ACG::IColorCoder > | buildColorCoder ()
template<typename PropType , typename Iterable >
void | showHistogramT (ACG::QtWidgets::QtHistogramWidget *widget, Iterable data)

## Protected Attributes
ACG::SceneGraph::LineNode * | lineNode
ACG::SceneGraph::BoxesNode * | boxesNode
Protected Attributes inherited from OVMPropertyVisualizer< MeshT >
MeshT * | mesh
int | mObjectID
VolumeMeshDrawModesContainer | drawModes
Protected Attributes inherited from PropertyVisualizer
PropertyInfo | propertyInfo

## Private Member Functions
template<typename EntityTag , typename Property , typename EntityIterator >
void | visualizeAsCrossesForEntity (Property prop, EntityIterator e_begin, EntityIterator e_end)
template<typename EntityTag , typename Property , typename EntityIterator >
void | visualizeAsBoxesForEntity (Property prop, EntityIterator e_begin, EntityIterator e_end)
template<typename EntityTag , typename EntityIterator >
void | visualizeForEntity (EntityIterator e_begin, EntityIterator e_end)
Matrix3x3Widget * | getMatWidget ()

## Additional Inherited Members
Signals inherited from PropertyVisualizer
void | log (Logtype _type, QString _message)
void | log (QString _message)
Static Public Member Functions inherited from PropertyVisualizer
static QString | toStr (bool b)
static QString | toStr (double d)
static QString | toStr (int i)
static QString | toStr (uint8_t i)
static QString | toStr (unsigned int i)
static QString | toStr (OpenMesh::Vec3d v)
static QString | toStr (OpenMesh::Vec2d v)
static QString | toStr (OpenMesh::Vec2f v)
static QString | toStr (const ACG::Matrix3x3d &v)
static bool | strToBool (QString str)
static double | strToDouble (QString str)
static int | strToInt (QString str)
static unsigned int | strToUInt (QString str)
static OpenMesh::Vec3d | strToVec3d (QString str)
static OpenMesh::Vec2d | strToVec2d (QString str)
static OpenMesh::Vec2f | strToVec2f (QString str)
Public Attributes inherited from PropertyVisualizer
QWidget * | widget
Protected Slots inherited from OVMPropertyVisualizer< MeshT >
template<typename Type >
void | showHistogram (ACG::QtWidgets::QtHistogramWidget *histogramWidget)

## Detailed Description

### template<typename MeshT>
class OVMPropertyVisualizerMatrix3x3< MeshT >

Definition at line 61 of file OVMPropertyVisualizerMatrix3x3.hh.

## Member Function Documentation

## ◆ getPropertyText()

template<typename MeshT >

QString OVMPropertyVisualizerMatrix3x3< MeshT >::getPropertyText | ( | unsigned int | i | ) |
| override protected virtual

Returns the value of a property in text form.

Parameters

  i | The id of the entity whose property we want to know.

Returns
  The property value in text form.

Implements OVMPropertyVisualizer< MeshT >.

Definition at line 197 of file OVMPropertyVisualizerMatrix3x3_impl.hh.

The documentation for this class was generated from the following files:

- Plugin-PropertyVis/OpenVolumeMesh/OVMPropertyVisualizerMatrix3x3.hh
- Plugin-PropertyVis/OpenVolumeMesh/OVMPropertyVisualizerMatrix3x3_impl.hh